package com.muyu.common;

import io.netty.channel.ChannelHandlerContext;

/**
 * netty 核心配置
 */
public class Config {
	/**
	 * 分包符
	 */
	public static final String DATA_PACK_SEPARATOR = "#$&*";

    /**
     * 通道处理上下文
	 */
	public static ChannelHandlerContext ctx;

	/**
	 * 车辆VIN
	 */
	public static String VIN = "";

	/**
	 * 服务器状态
	 */
	public static boolean IS_CONNECT = false;

	/**
	 * 连接消息VIN
	 */
	public final static String START_VIN_SUF = "START_VIN:";
	/**
	 * 连接消息VIN
	 */
	public final static String START_VIN_SUCCESS_SUF = "SUCCESS_VIN:";
	/**
	 * 车辆消息报文前缀
	 */
	public final static String VEHICLE_MSG_SUF = "VEHICLE_MSG:";
	/**
	 * 车辆启动报文前缀
	 */
	public final static String VEHICLE_START_SUF = "VEHICLE_START:";
	/**
	 * 车辆关闭报文前缀
	 */
	public final static String VEHICLE_STOP_SUF = "VEHICLE_STOP:";

	/**
	 * 连接启动信息
	 */
	public final static String NETTY_CONNECT = "CONNECT";
	/**
	 * 连接关闭信息
	 */
	public final static String NETTY_WILL_CLOSE = "WILL_CLOSE:";
	/**
	 * 连接关闭信息
	 */
	public final static String NETTY_CLOSE = "CLOSE";

	/**
	 * 车辆VIN正则表达式
	 */
	public final static String VIN_REGEX = "^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{17}$";


	/**
	 * 车辆基础故障组
	 */
	public final static String VEHICLE_BASE_FAULT = "vehicle_base";

	/**
	 * 车辆零配件故障组
	 */
	public final static String VEHICLE_PARTS_FAULT = "vehicle_parts";

	/**
	 * 车辆电池故障组
	 */
	public final static String VEHICLE_BATTERY_FAULT = "vehicle_battery";

}
