package com.muyu.controller;

import com.muyu.common.Config;
import com.muyu.common.Response;
import com.muyu.netty.bean.NettyClientBean;
import com.muyu.netty.client.NettyClientInit;
import com.muyu.netty.log.NettyClientLogQueue;
import com.muyu.netty.operate.NettyClientMsg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

/**
 * @author 牧鱼
 * @Classname NettyClientController
 * @Description TODO
 * @Date 2021/8/3
 */
@RestController
@RequestMapping("/nettyClient")
public class NettyClientController {


    /**
     * 与服务器建立连接
     * @param nettyClientBean
     * @return
     */
    @PostMapping("/initNettyClient")
    public Response initNettyClient(@RequestBody NettyClientBean nettyClientBean){

        if (StringUtils.isEmpty(nettyClientBean.getVin())){
            return Response.error("请输入VIN，否则无法建立连接隧道");
        }
        if (!nettyClientBean.getVin().matches(Config.VIN_REGEX)){
            return Response.error("请输入正确VIN，否则无法建立连接隧道");
        }

        if (StringUtils.isEmpty(nettyClientBean.getHost())){
            return Response.error("请输入IP地址");
        }
        if (nettyClientBean.getPort() == 0){
            return Response.error("请输入端口号");
        }
        if (Config.ctx != null){
            return Response.error("已与netty服务器建立连接");
        }
        new Thread(() -> {
            NettyClientInit.nettyInit(nettyClientBean);
        }).start();
        Config.VIN = nettyClientBean.getVin();
        return Response.success();
    }

    /**
     * 查看服务器状态
     * @return
     */
    @GetMapping("/status")
    public Response nettyStatus(){
        if (Config.ctx == null){
            return Response.error("未与netty服务器建立连接");
        }
        return Response.success();
    }

    /**
     * 断开操作
     * @return
     */
    @GetMapping("/nettyDestroy")
    public Response nettyDestroy(){
        if (Config.ctx == null){
            return Response.error("未连接netty服务器");
        }
        NettyClientMsg.destroy();
        return Response.success();
    }

}



